<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Lekhak Pro
	 * @since Lekhak Pro 1.0.0
	 */

	/**
	 * lekhak_pro_doctype hook
	 *
	 * @hooked lekhak_pro_doctype -  10
	 *
	 */
	do_action( 'lekhak_pro_doctype' );

?>
<head>
<?php
	/**
	 * lekhak_pro_before_wp_head hook
	 *
	 * @hooked lekhak_pro_head -  10
	 *
	 */
	do_action( 'lekhak_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * lekhak_pro_page_start_action hook
	 *
	 * @hooked lekhak_pro_page_start -  10
	 *
	 */
	do_action( 'lekhak_pro_page_start_action' ); 

	/**
	 * lekhak_pro_loader_action hook
	 *
	 * @hooked lekhak_pro_loader -  10
	 *
	 */
	do_action( 'lekhak_pro_before_header' );

	/**
	 * lekhak_pro_header_action hook
	 *
	 * @hooked lekhak_pro_header_start -  10
	 * @hooked lekhak_pro_site_branding -  20
	 * @hooked lekhak_pro_site_navigation -  30
	 * @hooked lekhak_pro_header_end -  50
	 *
	 */
	do_action( 'lekhak_pro_header_action' );

    if ( lekhak_pro_is_frontpage() ) {
    	/**
		 * lekhak_pro_primary_content hook
		 *
		 * @hooked lekhak_pro_add_featured_section -  10
		 * @hooked lekhak_pro_secondary_menu -  15
		 * @hooked lekhak_pro_content_start -  16
		 * @hooked lekhak_pro_add_featured_post_section -  20
		 * @hooked lekhak_pro_add_popular_post_section -  30
		 * @hooked lekhak_pro_add_blog_section -  40
		 * @hooked lekhak_pro_frontpage_widget -  50
		 * @hooked lekhak_pro_social_menu -  55
		 *
		 */
		do_action( 'lekhak_pro_primary_content' );
	}