<?php
/**
 * Lekhak Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Lekhak Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function lekhak_pro_custom_colors_css() {
  	$options= lekhak_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	## Text Color 
	--------------------------------------------------------------*/
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.posted-on a:hover,
	.slick-dots li.slick-active button,
	a:hover,
	a:focus,
	a:active,
	.site-title a,
	.highlighted-post .byline a:hover,
	.highlighted-post .posted-on a:hover,
	.highlighted-post .byline a:focus,
	.highlighted-post .posted-on a:focus,
	.highlighted-post .entry-title a:hover,
	.highlighted-post .entry-title a:focus,
	.more-link:hover svg,
	.navigation.post-navigation a,
	.navigation.posts-navigation a,
	#colophon .site-info a,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.navigation.posts-navigation svg,
	.navigation.post-navigation svg,
	.single-wrapper .navigation.post-navigation a:hover,
	.single-wrapper .navigation.posts-navigation a:hover,
	.single-wrapper .navigation.post-navigation a:hover svg,
	.single-wrapper .navigation.posts-navigation a:hover svg,
	#colophon a:hover,
	#colophon a:focus,
	.loader-container svg {
		color: ' . esc_attr( $color_value ) . ';
		fill: ' . esc_attr( $color_value ) . ';
	}


	/*--------------------------------------------------------------
	## Border- Color 
	--------------------------------------------------------------*/
	.btn,
	.btn:hover {
		border-color: ' . esc_attr( $color_value ) . ';
	}
	.main-navigation ul.nav-menu > li.menu-item-has-children:hover > a:after {
	    border-bottom: 8px solid ' . esc_attr( $color_value ) . ';
	}


	/*--------------------------------------------------------------
	## background- Color 
	--------------------------------------------------------------*/
	.btn:hover,
	.btn:focus,
	.cat-links a,
	.tags-links a,
	ul.post-categories a,
	.backtotop,
	.navigation.posts-navigation a:hover,
	.navigation.posts-navigation a:focus,
	.highlighted-post .cat-links a,
	.highlighted-post ul.post-categories a:hover,
	.main-navigation ul.nav-menu ul li.current-menu-item > a,
	.main-navigation ul.nav-menu ul li:hover > a,
	.main-navigation ul.nav-menu ul li:focus > a,
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus {
		background-color: ' . esc_attr( $color_value ) . ';
	}

	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus {
		border-color: ' . esc_attr( $color_value ) . ';
	}

	@media screen and (min-width:1024px) {
		.main-navigation form.search-form {
			border-color: ' . esc_attr( $color_value ) . ';
		}
		#search:before {
			border-bottom: 9px solid ' . esc_attr( $color_value ) . ';
		}
	}


	/*--------------------------------------------------------------
	## Text Color 
	--------------------------------------------------------------*/
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.posted-on a:hover,
	.slick-dots li.slick-active button,
	a:hover,
	a:focus,
	a:active,
	.site-title a,
	.highlighted-post .byline a:hover,
	.highlighted-post .posted-on a:hover,
	.highlighted-post .byline a:focus,
	.highlighted-post .posted-on a:focus,
	.highlighted-post .entry-title a:hover,
	.highlighted-post .entry-title a:focus,
	.more-link:hover svg,
	.navigation.post-navigation a,
	.navigation.posts-navigation a,
	#colophon .site-info a,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.navigation.posts-navigation svg,
	.navigation.post-navigation svg,
	.single-wrapper .navigation.post-navigation a:hover,
	.single-wrapper .navigation.posts-navigation a:hover,
	.single-wrapper .navigation.post-navigation a:hover svg,
	.single-wrapper .navigation.posts-navigation a:hover svg {
		color: ' . esc_attr( $color_value ) . ';
		fill: ' . esc_attr( $color_value ) . ';
	}


	/*--------------------------------------------------------------
	## Border- Color 
	--------------------------------------------------------------*/
	.btn,
	.btn:hover {
		border-color: ' . esc_attr( $color_value ) . ';
	}
	.main-navigation ul.nav-menu > li.menu-item-has-children:hover > a:after {
	    border-bottom: 8px solid ' . esc_attr( $color_value ) . ';
	}


	/*--------------------------------------------------------------
	## background- Color 
	--------------------------------------------------------------*/
	.btn:hover,
	.btn:focus,
	.cat-links a,
	.tags-links a,
	ul.post-categories a,
	.backtotop,
	.navigation.posts-navigation a:hover,
	.navigation.posts-navigation a:focus,
	.highlighted-post .cat-links a,
	.highlighted-post ul.post-categories a,
	.main-navigation ul.nav-menu ul li.current-menu-item > a,
	.main-navigation ul.nav-menu ul li:hover > a,
	.main-navigation ul.nav-menu ul li:focus > a,
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus {
		background-color: ' . esc_attr( $color_value ) . ';
	}

	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus {
		border-color: ' . esc_attr( $color_value ) . ';
	}

	@media screen and (min-width:1024px) {
		.main-navigation form.search-form {
			border-color: ' . esc_attr( $color_value ) . ';
		}
		#search:before {
			border-bottom: 9px solid ' . esc_attr( $color_value ) . ';
		}
	}

	@keyframes defaultpreloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr( $color_value ) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	}
	';

	/**
	 * Filters Lekhak Pro custom colors CSS.
	 *
	 * @since Lekhak Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'lekhak_pro_custom_colors_css', $css );
}
